<?php
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

if (file_exists(INFUSIONS."zawodnik_panel/locale/".$settings['locale'].".php")) {
include INFUSIONS."zawodnik_panel/locale/".$settings['locale'].".php";
}

if (!checkrights("GU") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

include INFUSIONS."zawodnik_panel/infusion_db.php";
include INFUSIONS."zawodnik_panel/menu.php";

$rok = date('Y');
$miech = date('n');
$dzien = date('j');
$time = gmmktime(0, 0, 0, $miech, 1, $rok);

echo "
<table width='100%' cellpadding='3' cellspacing='1' border='0' align='center' style='margin-top:1em;margin-bottom:1em;'>
<tr>
<td align='center' class='tbl2' style='font-weight:bold'>".$locale['GU123']."</td>
</tr>  
</table>";

echo "<table align='center' cellpadding='0' cellspacing='0' class='tbl'>
<tr>
<td width='100' class='tbl'><b>".$locale['GU105']."</b></td>
<td width='100' class='tbl'><b>".$locale['GU106']."</b></td>
<td width='100' class='tbl'><b>".$locale['GU111']."</b></td>
</tr>"; 

$lp= 1;
$wynik = dbquery("SELECT u.*, b.*, COUNT(u.zawodnik_id) AS ilosc FROM ".DB_ZAWODNIK." u 
LEFT JOIN ".DB_ZAWODNICY." b ON u.zawodnik_id=b.zawodnik_id WHERE u.data >'$time' GROUP BY u.zawodnik_id ORDER BY ilosc DESC");
if(dbrows($wynik) > 0) {      
while($r = dbarray($wynik))      
{
echo "
<tr>
<td width='100' class='tbl'>"; echo $lp++; echo "</td>
<td width='100' class='tbl'>".$r['nazwa']."</td>
<td width='100' class='tbl'>".number_format($r['ilosc'])."</td>
</tr>";

}
  
} 
echo "</table>";

echo "
<table width='100%' cellpadding='3' cellspacing='1' border='0' align='center' style='margin-top:1em;margin-bottom:1em;'>
<tr>
<td align='center' class='tbl2' style='font-weight:bold'>".$locale['GU124']."</td>
</tr>  
</table>";

echo "<table align='center' cellpadding='0' cellspacing='0' class='tbl'>
<tr>
<td width='100' class='tbl'><b>".$locale['GU105']."</b></td>
<td width='100' class='tbl'><b>".$locale['GU106']."</b></td>
<td width='100' class='tbl'><b>".$locale['GU125']."</b></td>
</tr>"; 

$lp= 1;
$wynik = dbquery("SELECT a.*, c.* FROM ".DB_ZAWODNIK." a 
LEFT JOIN ".DB_ZAWODNICY." c ON a.zawodnik_id=c.zawodnik_id WHERE a.data >'$time'");
if(dbrows($wynik) > 0) {      
while($r = dbarray($wynik))      
{
echo "
<tr>
<td width='100' class='tbl'>"; echo $lp++; echo "</td>
<td width='100' class='tbl'>".$r['nazwa']."</td>
<td width='100' class='tbl'>".showdate("%d.%m.%Y %H:%M:%S", $r['data'])."</td>
</tr>";

}
  
}else {
echo "
<tr>
<td align='center' class='tbl' colspan='3'>".$locale['GU126']."</td>
</tr>";  
}    
echo "</table>";

closetable();

require_once THEMES."templates/footer.php";
?>
